
QGIS Application - Bug report #20349

Processing script editor mangles code

2018-11-03 01:25 PM - Anita Graser

Status: Closed

Priority: High

Assignee: Nyall Dawson

Category: Processing/GUI

Affected QGIS version:3.5(master) Regression?: Yes

Operating System: Windows 10, Mac Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28170

Description

As reported on https://gis.stackexchange.com/questions/300906/qgis-3-2-processing-script-editor-display-spaces-shown-as-tabs:

The Processing script editor behaves weirdly (at least on Windows and Mac). It shows wide spacing where there should be only single

spaces or no space at all.

Additionally, more spaces are "magically" introduced if parts of the code are selected with the mouse. 

This makes the editor unusable.

Associated revisions

Revision ea9d5bb3 - 2018-11-05 01:35 AM - Nyall Dawson

Fix mangled fonts in script editors

Don't override default font letter spacing or stretch -- it's not

safe to do because the results are very dependent on the individual

font's appearance and rendering hints.

Fixes #20349

Revision 4cd82a28 - 2018-11-06 01:49 AM - Nyall Dawson

Fix mangled fonts in script editors

Don't override default font letter spacing or stretch -- it's not

safe to do because the results are very dependent on the individual

font's appearance and rendering hints.

Fixes #20349

(cherry picked from commit ea9d5bb363597c8305962c4adc0b0eaaa43cbfb4)

History

#1 - 2018-11-03 01:30 PM - Anita Graser

- Operating System set to Windows 10, Mac

- Description updated

#2 - 2018-11-04 11:40 PM - Nyall Dawson

- Assignee set to Nyall Dawson
https://gis.stackexchange.com/questions/300906/qgis-3-2-processing-script-editor-display-spaces-shown-as-tabs


- Status changed from Open to In Progress

#3 - 2018-11-05 01:34 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|ea9d5bb363597c8305962c4adc0b0eaaa43cbfb4.
